Package proton :: Module handlers :: Class EndpointStateHandler

[frames] | no frames]

# Class EndpointStateHandler

source code

    object --+
             |
       Handler --+
                 |
                EndpointStateHandler

A utility that exposes 'endpoint' events i.e. the open/close for links, sessions and connections in a more intuitive manner. A XXX_opened method will be called when both local and remote peers have opened the link, session or connection. This can be used to confirm a locally initiated action for example. A XXX_opening method will be called when the remote peer has requested an open that was not initiated locally. By default this will simply open locally, which then triggers the XXX_opened call. The same applies to close.

Instance Methods

__init__(self, peer_close_is_error=False, delegate=None) x.__init__(...) initializes x; see help(type(x)) for signature | source code

on_link_remote_close(self, event) | source code

on_session_remote_close(self, event) | source code

on_connection_remote_close(self, event) | source code

on_connection_local_open(self, event) | source code

on_connection_remote_open(self, event) | source code

on_session_local_open(self, event) | source code

on_session_remote_open(self, event) | source code

on_link_local_open(self, event) | source code

on_link_remote_open(self, event) | source code

on_connection_opened(self, event) | source code

on_session_opened(self, event) | source code

on_link_opened(self, event) | source code

on_connection_opening(self, event) | source code

on_session_opening(self, event) | source code

on_link_opening(self, event) | source code

on_connection_error(self, event) | source code

on_session_error(self, event) | source code

on_link_error(self, event) | source code

on_connection_closed(self, event) | source code

on_session_closed(self, event) | source code

on_link_closed(self, event) | source code

on_connection_closing(self, event) | source code

on_session_closing(self, event) | source code

on_link_closing(self, event) | source code

on_transport_tail_closed(self, event) | source code

on_transport_closed(self, event) | source code

Inherited from `Handler`: `handlers`, `on_unhandled` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Methods

is_local_open(cls, endpoint) | source code

is_local_uninitialised(cls, endpoint) | source code

is_local_closed(cls, endpoint) | source code

is_remote_open(cls, endpoint) | source code

is_remote_closed(cls, endpoint) | source code

print_error(cls, endpoint, endpoint_type) | source code

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, peer_close_is_error=False, delegate=None)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)